# Summary

# Welcome
* [Introduction](./introduction.md)
* [Community](./community.md)
* [Getting Started](./getting-started.md)

# Contributing
* [Gerrit](./contributing/gerrit.md)
* [Email](./contributing/email.md)
* [Code & Commits](./contributing/code-&-commits.md)

# Tvix
- [Architecture & data flow](./architecture.md)
- [TODOs](./TODO.md)

# Evaluator
- [Compilation of Bindings](./eval/bindings.md)
- [Builtins](./eval/builtins.md)
- [Build References](./eval/build-references.md)
- [Catchable Errors](./eval/catchable-errors.md)
- [Known Optimisation Potential](./eval/known-optimisation-potential.md)
- [Langugage Issues](./eval/language-issues.md)
- [Attrset Opcodes](./eval/opcodes-attrsets.md)
- [Recursive attribute sets](./eval/recursive-attrs.md)
- [VM Loop](./eval/vm-loop.md)
- [Abandoned](./eval/abandoned/index.md)
  - [Thread-local VM](./eval/abandoned/thread-local-vm.md)

# Store
- [Store API](./store/api.md)
- [BlobStore Chunking](./castore/blobstore-chunking.md)
- [BlobStore Protocol](./castore/blobstore-protocol.md)
- [Data Model](./castore/data-model.md)
- [Why not git trees?](./castore/why-not-git-trees.md)

# Builder
- [Build API](./build/index.md)

# Nix
- [Specification of the Nix Language](./language-spec.md)
- [Nix language version history](./lang-version.md)
- [Value Pointer Equality](./value-pointer-equality.md)
- [Daemon Protocol](./nix-daemon/index.md)
  - [Handshake](./nix-daemon/handshake.md)
  - [Logging](./nix-daemon/logging.md)
  - [Operations](./nix-daemon/operations.md)
  - [Serialization](./nix-daemon/serialization.md)
  - [Changelog](./nix-daemon/changelog.md)
