;; entries :: '(entry ...)'
;; entry :: '(word translations note roots)
;; note :: (or nil string)
;; translations :: '(translation ...)
;; roots :: '(root ...)

(require 'russian)

(define-russian-words
  ;; 1-50
  ("и" ("and" "though"))
  ("в" ("in" "at"))
  ("не" ("not"))
  ("он" ("he"))
  ("на" ("on" "it" "at" "to"))
  ("я" ("I"))
  ("что" ("what" "that" "why"))
  ("тот" ("that"))
  ("быть" ("to be"))
  ("с" ("with" "and" "from" "of"))
  ("а" ("while" "and" "but"))
  ("весь" ("all" "everything") nil ("-весь-"))
  ("это" ("that" "this" "it"))
  ("как" ("how" "what" "as" "like"))
  ("она" ("she"))
  ("по" ("on" "along" "by"))
  ("но" ("but"))
  ("они" ("they"))
  ("к" ("to" "for" "by"))
  ("у" ("by" "with" "of"))
  ("ты" ("you"))
  ("из" ("from" "of" "in"))
  ("мы" ("we"))
  ("за" ("behind" "over" "at" "after"))
  ("вы" ("you"))
  ("так" ("so" "thus" "then"))
  ("же" ("and" "as for" "but" "same"))
  ("от" ("from" "of" "for"))
  ("сказать" ("to say" "to speak") nil ("-сказ-"))
  ("этот" ("this"))
  ("который" ("which" "who" "that"))
  ("мочь" ("be able" "can") nil ("-мочь-"))
  ("человек" ("man" "person"))
  ("о" ("of" "about" "against"))
  ("один" ("one" "some" "alone"))
  ("ещё" ("still" "yet"))
  ("бы" ("would"))
  ("такой" ("such" "so" "some"))
  ("только" ("only" "merely" "but"))
  ("себя" ("myself" "himself" "herself"))
  ("своё" ("one's own" "my" "our"))
  ("какой" ("what" "which" "how"))
  ("когда" ("when" "while" "as"))
  ("уже" ("already" "by now"))
  ("для" ("for" "to"))
  ("вот" ("here" "there" "this is" "that's")
   ("calling attention to something"))
  ("кто" ("who" "that" "some"))
  ("да" ("yes" "but") ("affirmation (..., right?)"))
  ("говорить" ("to say" "to tell" "to speak") nil ("-говор-"))
  ("год" ("year"))

  ;; 51 - 100
  ("знать" ("to know" "be aware") nil ("-зна-"))
  ("мой" ("my" "mine"))
  ("до" ("to" "up to" "about" "before"))
  ("или" ("or"))
  ("если" ("if"))
  ("время" ("time" "season") nil ("-врем-"))
  ("рука" ("hand" "arm"))
  ("нет" ("no" "not" "but"))
  ("самый" ("most" "the very" "the same"))
  ("ни" ("not a" "not" "neither ... nor"))
  ("стать" ("to become" "begin" "come"))
  ("большой" ("big" "large" "important"))
  ("даже" ("even"))
  ("другой" ("other" "another" "different") nil ("-друг-"))
  ("наш" ("our" "ours"))
  ("свой" ("one's own"))
  ("ну" ("now" "right" "well" "come on"))
  ("под" ("under" "for" "towards" "to"))
  ("где" ("where"))
  ("дело" ("business" "affair" "matter"))
  ("есть" ("to eat" "to be"))
  ("сам" ("oneself"))
  ("раз" ("time" "once" "since"))
  ("чтобы" ("that" "in order that"))
  ("два" ("two"))
  ("там" ("there" "then"))
  ("чем" ("than" "instead of")
   ("чем ..., тем ..."))
  ("глаз" ("eye" "sight"))
  ("жизнь" ("life") nil ("-жи-"))
  ("первый" ("first" "front" "former"))
  ("день" ("day"))
  ("тут" ("here" "now" "then"))
  ("во" ("in" "at")
   ("as particle also: wow, exactly, ..."))
  ("ничто" ("nothing"))
  ("потом" ("afterwards" "then"))
  ("очень" ("very"))
  ("со" ("with"))
  ("хотеть" ("to want"))
  ("ли" ("whether" "if"))
  ("при" ("attached to" "in the presence of" "by" "about"))
  ("голова" ("head" "mind" "brains") nil ("-голов-"))
  ("надо" ("over" "above" "ought to"))
  ("без" ("without"))
  ("видеть" ("to see") nil ("-вид-"))
  ("идти" ("to go" "to come"))
  ("теперь" ("now" "nowadays"))
  ("тоже" ("also" "as well" "too"))
  ("стоять" ("to stand" "be" "stand up"))
  ("друг" ("friend"))
  ("дом" ("house" "home"))

  ;; 101-150
  ("сейчас" ("now" "presently" "soon"))
  ("можно" ("possible" "permitted") nil ("-мочь-"))
  ("после" ("after" "afterwards"))
  ("слово" ("word"))
  ("здесь" ("here"))
  ("думать" ("to think" "to believe") nil ("-дум-"))
  ("место" ("place" "seat"))
  ("спросить" ("to ask") nil ("-прос-"))
  ("через" ("through" "across"))
  ("лицо" ("face" "person"))
  ("что" ("what" "which" "that"))
  ("тогда" ("then"))
  ("хороший" ("good" "nice") nil ("-хорош-"))
  ("каждый" ("every" "each"))
  ("новый" ("new" "modern") nil ("-нов-"))
  ("жить" ("to live") nil ("-жи-"))
  ("должный" ("due" "proper" "should"))
  ("смотреть" ("to look" "watch"))
  ("почему" ("why"))
  ("потому" ("that's why"))
  ("сторона" ("side" "party"))
  ("просто" ("simply"))
  ("нога" ("foot" "leg"))
  ("сидеть" ("to sit"))
  ("понять" ("to understand" "to realise"))
  ("иметь" ("to own" "to have"))
  ("конечный" ("final" "last"))
  ("делать" ("to do" "make"))
  ("вдруг" ("suddenly"))
  ("над" ("above" "over"))
  ("взять" ("to take"))
  ("никто" ("nobody"))
  ("понимать" ("to understand"))
  ("казаться" ("to seem" "to appear"))
  ("работа" ("work" "job"))
  ("три" ("three"))
  ("ваш" ("yours"))
  ("уж" ("really" "already"))
  ("земля" ("earth" "land" "soil"))
  ("конец" ("end" "distance"))
  ("несколько" ("several" "some"))
  ("час" ("hour" "time"))
  ("голос" ("voice"))
  ("город" ("town" "city"))
  ("последний" ("last" "the latest" "new"))

  ;; 151-200
  ("пока" ("for the present")) ;; TODO(tazjin): review
  ("хорошо" ("well") nil ("-хорош-"))
  ("давать" ("to give" "to grant"))
  ("вода" ("water"))
  ("более" ("more"))
  ("хотя" ("although"))
  ("всегда" ("always"))
  ("второй" ("second"))
  ("куда" ("where" "what for" "much"))
  ("пойти" ("to go") nil ("-й-"))
  ("стол" ("table" "desk" "board"))
  ("ребёнок" ("child" "kid" "infant"))
  ("увидеть" ("to see"))
  ("сила" ("strength" "force"))
  ("отец" ("father"))
  ("женщина" ("woman"))
  ("машина" ("car" "machine" "engine"))
  ("случай" ("case" "occasion" "incident"))
  ("ночь" ("night"))
  ("сразу" ("at once" "right away" "just"))
  ("мир" ("world" "peace"))
  ("совсем" ("quite" "entirely" "totally"))
  ("остаться" ("to remain" "to stay"))
  ("об" ("about" "of"))
  ("вид" ("appearance" "look" "view"))
  ("выйти" ("to go out" "to exit" "to come out" "to appear") nil ("-й-"))
  ("дать" ("to give"))
  ("работать" ("to work"))
  ("любить" ("to work"))
  ("старый" ("old"))
  ("почти" ("almost"))
  ("ряд" ("row" "line"))
  ("оказаться" ("find oneself" "turn out"))
  ("начало" ("beginning" "origin" "source"))
  ("твой" ("your" "yours"))
  ("вопрос" ("question" "matter" "problem") nil ("-прос-"))
  ("много" ("many" "much"))
  ("война" ("war"))
  ("снова" ("again"))
  ("ответить" ("to answer" "to reply"))
  ("между" ("between" "among"))
  ("подумать" ("to think"))
  ("опять" ("again"))
  ("белый" ("white"))
  ("деньги" ("money"))
  ("значить" ("to mean" "to signify") nil ("-зна-"))
  ("про" ("about" "for"))
  ("лишь" ("only" "as soon as"))
  ("минута" ("minute" "moment"))
  ("жена" ("wife"))

  ;; 201-300
  ("посмотреть" ("to watch" "to look" "to inspect") nil ("-смотр-"))
  ("правда" ("truth") nil ("-правд-"))
  ("главный" ("main" "chief") nil ("-голов-"))
  ("страна" ("country") nil ("-стран-"))
  ("свет" ("light" "world"))
  ("ждать" ("to wait"))
  ("мать" ("mother"))
  ("будто" ("as if" "as though"))
  ("никогда" ("never"))
  ("товариш" ("comrade" "friend"))
  ("дорога" ("road" "way" "journey"))
  ("однако" ("however" "although"))
  ("лежать" ("to lie" "to be situated"))
  ("именно" ("namely" "just" "exactly") nil ("-имя-"))
  ("окно" ("window"))
  ("никакой" ("no" "none"))
  ("найти" ("to find" "to discover") nil ("-й-"))
  ("писать" ("to write"))
  ("комната" ("room"))
  ("Москва" ("Moscow"))
  ("часть" ("part" "share" "department"))
  ("вообще" ("in general" "altogether" "on the whole") nil ("-общ-"))
  ("книга" ("book"))
  ("маленький" ("small" "little"))
  ("улица" ("street"))
  ("режить" ("to decide" "to solve"))
  ("далекий" ("distant" "remote"))
  ("душа" ("soul" "spirit"))
  ("чуть" ("hardly" "slightly"))
  ("вернуться" ("to return"))
  ("утро" ("morning"))
  ("некоторый" ("some"))
  ("считать" ("to count" "to consider"))
  ("сколько" ("how much" "how many"))
  ("помнить" ("to remember"))
  ("вечер" ("evening"))
  ("пол" ("floor" "gender"))
  ("таки" ("after all"))
  ("получить" ("to receive" "to get" "to obtain"))
  ("народ" ("people" "nation"))
  ("плечо" ("shoulder" "upper arm"))
  ("хоть" ("even" "if you want" "though"))
  ("сегодня" ("today"))
  ("бог" ("god"))
  ("вместе" ("together"))
  ("взгляд" ("look" "glance" "view"))
  ("ходить" ("to go" "to walk") nil ("-ход-"))
  ("зачем" ("what for" "why"))
  ("советский" ("Soviet"))
  ("русский" ("Russian"))
  ("бывать" ("to be" "to visit" "to happen"))
  ("полный" ("full" "complete" "whole"))
  ("прийти" ("to arrive" "to come") nil ("-й-"))
  ("палец" ("finger" "toe"))
  ("Россия" ("Russia"))
  ("любой" ("any" "every"))
  ("история" ("history" "story" "event"))
  ("наконец" ("finally" "at least"))
  ("мысль" ("thought" "idea"))
  ("узнать" ("to know" "to learn" "to recognise") nil ("-зна-"))
  ("назад" ("back" "backwards" "ago"))
  ("общий" ("general" "common") nil ("-общ-"))
  ("заметить" ("to notice" "to observe"))
  ("словно" ("as if" "like"))
  ("прошлый" ("past" "vergangen") nil ("-й-"))
  ("уйти" ("to leave" "to go away") nil ("-й-"))
  ("известный" ("well-known" "famous"))
  ("давно" ("long ago"))
  ("слышать" ("to hear"))
  ("слушать" ("to listen" "to hear"))
  ("бояться" ("to be afraid" "fear"))
  ("сын" ("son"))
  ("нельзя" ("it is impossible" "can't"))
  ("прямо" ("straight" "frankly"))
  ("долго" ("for a long time"))
  ("быстро" ("fast" "quickly"))
  ("лес" ("forest"))
  ("похожий" ("similar" "alike") nil ("-ход-"))
  ("пора" ("time" "pore"))
  ("пять" ("five"))
  ("глядеть" ("to look" "to gaze"))
  ("оно" ("it"))
  ("сесть" ("to sit"))
  ("имя" ("name") nil ("-имя-"))
  ("ж" ("and" "as for" "but"))
  ("разговор" ("conversation" "talk") nil ("-говор-"))
  ("тело" ("body"))
  ("молодой" ("young"))
  ("стена" ("wall"))
  ("красный" ("red"))
  ("читать" ("to read"))
  ("право" ("right"))
  ("старик" ("old man"))
  ("ранний" ("early"))
  ("хотеться" ("to want" "to like"))
  ("мама" ("mummy" "mum"))
  ("оставаться" ("to remain" "to stay"))
  ("высокий" ("tall" "high"))
  ("путь" ("way" "track" "path"))
  ("поэтому" ("therefore"))

  ;; 301-400
  ("совершенно" ("absolutely" "quite"))
  ("кроме" ("except" "besides"))
  ("тысяча" ("a thousand"))
  ("месяц" ("month"))
  ("брать" ("to take" "to hire"))
  ("написать" ("to write"))
  ("целый" ("intact" "whole" "entire"))
  ("огромный" ("huge" "enormous"))
  ("начинать" ("to begin"))
  ("спина" ("back"))
  ("настоящий" ("present" "real" "true"))
  ("пусть" ("let's" "though"))
  ("язык" ("tongue" "language"))
  ("точно" ("exactly"))
  ("среди" ("among"))
  ("чуствовать" ("to feel"))
  ("сердце" ("heart"))
  ("вести" ("to lead"))
  ("иногда" ("sometimes"))
  ("мальчик" ("boy"))
  ("успеть" ("to be in time" "to be successful"))
  ("небо" ("sky"))
  ("живой" ("living" "lively" "alive"))
  ("смерть" ("death"))
  ("продолжать" ("to continue"))
  ("девушка" ("girl"))
  ("образ" ("shape" "form" "image"))
  ("ко" ("to" "towards" "by"))
  ("забыть" ("to forget"))
  ("вокруг" ("around"))
  ("письмо" ("letter"))
  ("власть" ("power"))
  ("чёрный" ("black"))
  ("пройти" ("to pass" "go by" "be over") nil ("-й-"))
  ("появиться" ("to appear" "to show up"))
  ("воздух" ("air"))
  ("разный" ("different"))
  ("выходить" ("to go out" "to exit") ("MR says 'to nurse'??") ("-ход-"))
  ("просить" ("to ask"))
  ("брат" ("brat"))
  ("собственный" ("one's own"))
  ("отношение" ("relationship" "attitude"))
  ("затем" ("then" "after that"))
  ("пытаться" ("to try"))
  ("показать" ("to show" "to display"))
  ("вспомнить" ("to remember" "to recall"))
  ("система" ("system"))
  ("четыре" ("four"))
  ("квартира" ("flat" "apartment"))
  ("держать" ("to hold" "to keep"))
  ("также" ("also" "as well" "too"))
  ("любовь" ("love"))
  ("солдат" ("soldier"))
  ("откуда" ("from where"))
  ("чтоб" ("that" "in order that"))
  ("называть" ("to call" "to name"))
  ("третий" ("third"))
  ("хозяин" ("master" "boss" "host"))
  ("вроде" ("like" "not unlike"))
  ("уходить" ("to leave" "to go away") nil ("-ход-"))
  ("подойти" ("to approach" "to come up") nil ("-й-"))
  ("поднять" ("to lift" "to raise"))
  ("спрашивать" ("to ask" "to inquire"))
  ("начальник" ("chief" "head" "superior"))
  ("оба" ("both"))
  ("бросить" ("to throw"))
  ("школа" ("school"))
  ("парень" ("boy" "fellow" "guy"))
  ("кровь" ("blood"))
  ("двадцать" ("twenty"))
  ("солнце" ("sun"))
  ("неделя" ("week"))
  ("послать" ("to send" "to dispatch"))
  ("находиться" ("to be found" "to turn up") nil ("-ход-"))
  ("ребята" ("guys" "children"))
  ("поставить" ("to put" "to place" "to set"))
  ("встать" ("to get up" "to rise" "to stand up"))
  ("например" ("for example" "for instance"))
  ("шаг" ("step"))
  ("мужчина" ("man" "male"))
  ("равно" ("alike" "in like manner"))
  ("нос" ("nose"))
  ("мало" ("little" "few"))
  ("внимание" ("attention"))
  ("капитан" ("captain" "master"))
  ("ухо" ("ear"))
  ("туда" ("to there"))
  ("сюда" ("to here"))
  ("играть" ("to play"))
  ("следовать" ("to follow" "to come next"))
  ("рассказать" ("to tell" "to narrate"))
  ("великий" ("great"))
  ("действительно" ("indeed" "really"))
  ("слишком" ("too much"))
  ("тяжёлый" ("heavy"))
  ("спать" ("to sleep"))
  ("оставить" ("to leave" "to abandon"))
  ("войти" ("to enter" "to come in") nil ("-й-"))
  ("длинный" ("long"))

  ;; 401 - 500
  ("чувство" ("feeling"))
  ("иолчать" ("to keep silence" "make no complaint" "say nothing"))
  ("рассказывать" ("to tell" "narrate"))
  ("отвечать" ("to answer" "to reply"))
  ("становиться" ("to stand" "to become"))
  ("остановиться" ("to stop"))
  ("берег" ("bank" "shore" "coast"))
  ("семья" ("family"))
  ("искать" ("to search"))
  ("генерал" ("general"))
  ("момент" ("moment" "instant"))
  ("десять" ("ten"))
  ("начать" ("to begin"))
  ("следуюший" ("next" "following"))
  ("личный" ("personal"))
  ("труд" ("labour" "work"))
  ("верить" ("to believe"))
  ("группа" ("group"))
  ("немного" ("a little"))
  ("впрочем" ("however" "though"))
  ("видно" ("evidently" "obviously"))
  ("являться" ("to appear"))
  ("муж" ("husband"))
  ("разве" ("really?" "perhaps") ("when pondering something"))
  ("движение" ("movement" "motion"))
  ("порядок" ("order"))
  ("ответ" ("answer" "reply"))
  ("тихо" ("quietly" "silently") ("also as exclamation"))
  ("знакомый" ("familiar" "acquainted"))
  ("газета" ("newspaper"))
  ("помощь" ("help"))
  ("сильный" ("strong" "powerful"))
  ("скорый" ("quick" "fast"))
  ("собака" ("dog"))
  ("дерево" ("tree"))
  ("снег" ("snow"))
  ("сон" ("dream"))
  ("смысл" ("sense" "meaning" "purpose") ("making sense" "in the sense"))
  ("смочь" ("to be able") ("св"))
  ("против" ("against" "opposite" "contrary to"))
  ("бежать" ("to run" "to hurry"))
  ("двор" ("yard" "court"))
  ("форма" ("form" "shape" "uniform"))
  ("простой" ("simple" "easy" "plain"))
  ("приехать" ("to arrive" "to come"))
  ("иной" ("different" "other"))
  ("кричать" ("to cry" "to shout"))
  ("возможность" ("possibility" "opportunity" "chance"))
  ("общество" ("society"))
  ("зелёный" ("green"))
  ("грудь" ("breast" "chest"))
  ("угол" ("corner" "angle"))
  ("открыть" ("to open"))
  ("происходить" ("to happen" "to occur" "to take place"))
  ("ладно" ("well" "all right" "okay"))
  ("чёрный" ("black") ("noun (m.): as in 'she wears black'"))
  ("век" ("century" "age"))
  ("карман" ("pocket"))
  ("ехать" ("to go" "ride" "drive" "travel"))
  ("немец" ("German"))
  ("наверное" ("probably" "most likely"))
  ("губа" ("lip"))
  ("дядя" ("uncle"))
  ("приходить" ("to come" "to arrive"))
  ("часто" ("often"))
  ("домой" ("home") ("as in direction"))
  ("огонь" ("fire"))
  ("писатель" ("writer"))
  ("армия" ("army"))
  ("состояние" ("state" "condition" "fortune"))
  ("зуб" ("tooth"))
  ("очередь" ("queue" "line" "turn"))
  ("кой" ("which") ("old-fashioned, literary (in set expressions)"))
  ("подняться" ("to rise" "to climb"))
  ("камень" ("stone"))
  ("гость" ("guest"))
  ("показаться" ("to appear" "to come in sight"))
  ("ветер" ("window"))
  ("собираться" ("to gather" "to assemble" "to intend") ("TODO: intend??"))
  ("попасть" ("to hit" "to find oneself") ("to get (in phrases)"))
  ("принять" ("to take" "to admit" "to accept"))
  ("сначала" ("at first" "from the beginning"))
  ("либо" ("or"))
  ("поехать" ("to depart" "to set off"))
  ("услышать" ("to hear"))
  ("уметь" ("to be able" "know" "can"))
  ("случиться" ("to happen"))
  ("странный" ("strange"))
  ("единственный" ("only" "sole"))
  ("рота" ("company") ("(military)"))
  ("закон" ("law" "act" "statute"))
  ("короткий" ("short"))
  ("море" ("sea"))
  ("добрый" ("kind"))
  ("тёмный" ("dark"))
  ("гора" ("mountain" "hill"))
  ("врач" ("doctor"))
  ("край" ("border, edge" "land, country"))
  ("стараться" ("to try" "to endeavour"))
  ("лучший" ("better" "best"))

  ;; 501 - 600
  ("река" ("river"))
  ("военный" ("military"))
  ("мера" ("measure" "step"))
  ("страшный" ("terrible" "frightful"))
  ("вполне" ("quite" "fully"))
  ("звать" ("to call"))
  ("произойти" ("to happen" "to occur" "take place"))
  ("вперед" ("forward"))
  ("медленно" ("slowly"))
  ("возле" ("by" "near" "close by"))
  ("никак" ("in no way" "by no means"))
  ("заниматься" ("to be occupied" "to engage"))
  ("действие" ("action" "effort"))
  ("довольно" ("enough" "rather"))
  ("вещь" ("thing"))
  ("необходимый" ("necessary") ("not possible to go around"))
  ("ход" ("move"))
  ("боль" ("pain"))
  ("судьба" ("fate" "fortune" "destiny"))
  ("причина" ("cause" "reason" "motive"))
  ("положить" ("to lay down" "put down" "place"))
  ("едва" ("hardly" "just" "barely"))
  ("черта" ("line" "boundary" "trait"))
  ("девочка" ("girl" "little girl"))
  ("лёгкий" ("light" "easy"))
  ("волос" ("hair"))
  ("купить" ("to buy" "purchase"))
  ("номер" ("number" "size" "room" "issue"))
  ("основной" ("main"))
  ("широкий" ("wide"))
  ("умереть" ("to die"))
  ("далеко" ("far" "far off"))
  ("плохо" ("badly"))
  ("глава" ("head" "chief"))
  ("красивый" ("beautiful"))
  ("серый" ("grey" "dull"))
  ("пить" ("to drink"))
  ("командир" ("commander" "officer"))
  ("обычно" ("usually"))
  ("партия" ("party"))
  ("проблема" ("problem" "issue"))
  ("страх" ("fear"))
  ("проходить" ("to pass" "go" "study"))
  ("ясно" ("clear" "clearly"))
  ("снять" ("to take away" "take off"))
  ("бумага" ("paper"))
  ("герой" ("hero"))
  ("пара" ("pair" "couple"))
  ("государство" ("State"))
  ("деревня" ("village"))
  ("речь" ("speech"))
  ("начаться" ("to begin"))
  ("средство" ("means" "remedy"))
  ("положение" ("position" "posture" "condition" "state"))
  ("связь" ("tie, bond" "connection, relation"))
  ("небольшой" ("small" "not great"))
  ("представлять" ("to present" "introduce" "imagine"))
  ("завтра" ("tomorrow"))
  ("объяснить" ("to explain"))
  ("пустой" ("empty" "hollow" "idle"))
  ("произнести" ("to pronounce" "say" "utter"))
  ("человеческий" ("human"))
  ("нравиться" ("to please" "be likeable to"))
  ("однажды" ("once" "one day"))
  ("мимо" ("past" "by"))
  ("иначе" ("otherwise" "differently|"))
  ("существровать" ("to exist" "to be"))
  ("класс" ("class"))
  ("удаться" ("turn out well" "succeed" "manage"))
  ("толстый" ("thick" "heavy" "fat"))
  ("цель" ("goal" "object" "target"))
  ("сквозь" ("through"))
  ("прийтись" ("to fit" "fall" "have to") ("тебе придётся - you have to"))
  ("чистый" ("clean" "pure"))
  ("знать" ("to know"))
  ("прежний" ("former"))
  ("профессор" ("professor"))
  ("господин" ("gentleman" "Mr."))
  ("счастье" ("happiness" "luck"))
  ("худой" ("thin" "skinny"))
  ("дух" ("spirit"))
  ("план" ("plan"))
  ("чужой" ("somebody else's" "strange" "foreign"))
  ("зал" ("hall"))
  ("представить" ("to present" "produce" "introduce"))
  ("особый" ("special"))
  ("директор" ("director" "manager"))
  ("бывший" ("former" "ex-"))
  ("память" ("memory"))
  ("близкий" ("near" "similar" "intimate"))
  ("сей" ("this"))
  ("результат" ("result" "outcome"))
  ("больной" ("sick"))
  ("данный" ("given" "present"))
  ("кстати" ("to the point" "at the same time"))
  ("назвать" ("to call" "name"))
  ("след" ("track" "footprint"))
  ("улыбаться" ("to smile") ("нсв"))
  ("бутылка" ("bottle"))

  ;; 601 - 700
  ("трудно" ("with difficulty"))
  ("условие" ("condition" "term"))
  ("прежде" ("before"))
  ("ум" ("mind" "brains" "intellect"))
  ("улыбнуться" ("to smile"))
  ("процесс" ("process"))
  ("картина" ("picture" "painting"))
  ("вместо" ("instead"))
  ("старший" ("elder" "senior"))
  ("легко" ("easily" "lightly"))
  ("центр" ("center"))
  ("подобный" ("similar" "like"))
  ("возможно" ("possible") ("as ... as possible"))
  ("около" ("by" "near"))
  ("смеяться" ("to laugh"))
  ("сто" ("hundred"))
  ("будущее" ("future"))
  ("хватать" ("to snatch" "to seize" "to suffice") ("нсв"))
  ("число" ("number"))
  ("всякое" ("any" "every"))
  ("рубль" ("ruble"))
  ("почувствовать" ("to feel") ("св"))
  ("принести" ("to bring"))
  ("вера" ("faith" "belief"))
  ("вовсе" ("quiet" "not ... at all"))
  ("удар" ("blow" "stroke"))
  ("телефон" ("telephone"))
  ("колено" ("knee"))
  ("согласиться" ("to agree" "to consent"))
  ("мало" ("little" "few" "not enough"))
  ("коридор" ("corridor" "passage"))
  ("мужик" ("man"))
  ("правый" ("right"))
  ("автор" ("author"))
  ("холодный" ("cold" "cool"))
  ("хватит" ("to snatch" "to seize" "to suffice") ("св"))
  ("многие" ("many"))
  ("встреча" ("meeting" "reception"))
  ("кабинет" ("study" "room" "office suite"))
  ("документ" ("document"))
  ("самолёт" ("airplane"))
  ("вниз" ("down" "downwards"))
  ("принимать" ("to take" "to admit" "to accept"))
  ("игра" ("game" "play"))
  ("рассказ" ("story"))
  ("хлеб" ("bread"))
  ("развитие" ("development"))
  ("убить" ("to kill"))
  ("родной" ("own" "native" "dear"))
  ("открытый" ("open"))
  ("менее" ("less"))
  ("предложить" ("to offer" "to propose" "to suggest"))
  ("жёлтый" ("yellow"))
  ("приходиться" ("to fit" "to fall" "to have to"))
  ("выпить" ("to drink"))
  ("крикнуть" ("to cry" "to shout"))
  ("трубка" ("tube" "roll" "pipe"))
  ("враг" ("enemy"))
  ("показывать" ("to show" "to display"))
  ("двое" ("two") ("cardinal number"))
  ("доктор" ("doctor"))
  ("ладонь" ("palm"))
  ("вызвать" ("to call" "to send"))
  ("спокойно" ("quietly"))
  ("попросить" ("to ask"))
  ("наука" ("science"))
  ("лейтенант" ("lieutenant"))
  ("служба" ("service" "work"))
  ("оказываться" ("to turn out" "to find oneself"))
  ("привести" ("to bring"))
  ("сорок" ("forty"))
  ("счёт" ("bill" "account"))
  ("возвращаться" ("to return"))
  ("золотой" ("golden"))
  ("местный" ("local"))
  ("кухня" ("kitchen"))
  ("крупный" ("large" "big" "prominent"))
  ("решение" ("decision" "conclusion"))
  ("молодая" ("bride" "young"))
  ("тридцать" ("thirty"))
  ("роман" ("novel" "romance"))
  ("компания" ("company"))
  ("частый" ("frequent"))
  ("российский" ("Russian"))
  ("рабочий" ("worky"))
  ("потерять" ("to lose"))
  ("течение" ("current"))
  ("синий" ("dark blue"))
  ("столько" ("so much" "so many"))
  ("тёплый" ("warm"))
  ("метр" ("metre"))
  ("достать" ("to reach" "get" "obtain"))
  ("железный" ("ferreous" "iron"))
  ("институт" ("institute"))
  ("сообщить" ("to report" "to let know"))
  ("интерес" ("interest"))
  ("обычный" ("usual" "ordinary"))
  ("появляться" ("to appear" "to show up"))
  ("упасть" ("to fall")))

(provide 'russian-words)
